Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.eviction
Class Region

    java.lang.Object
      org.jboss.cache.eviction.Region

public class Region
extends Object

A region is a collection of tree cache nodes that share the same eviction policy configurations, e.g., maxNodes, etc. The region is specified via Fqn.

Author:
  Ben Wang 2-2004

Field Summary
`protected org.jboss.logging.Logger` | `log_`
`protected EDU.oswego.cs.dl.util.concurrent.BoundedBuffer` | `nodeEventQueue_`
`static long` | `WAIT_TIME`

Method Summary
`EvictionAlgorithm` | `getEvictionAlgorithm()`
`EvictionPolicy` | `getEvictionPolicy()`
`String` | `getFqn()`
`int` | `getMaxNodes()`
`long` | `getTimeToLiveSeconds()`
`int` | `nodeEventQueueSize()`
`protected void` | `putNodeEvent(Fqn fqn, Integer event)`
`void` | `resetEvictionQueues()`
`void` | `setAddedNode(Fqn fqn)`
`void` | `setMaxNodes(int maxNodes)`
`void` | `setRemovedNode(Fqn fqn)`
`void` | `setTimeToLiveSeconds(long secs)`
`void` | `setVisitedNode(Fqn fqn)`
`EvictedEventNode` | `takeLastEventNode()` Take the last node from node queue.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### WAIT_TIME

    public static final long WAIT_TIME

See Also:
  Constant Field Values

### nodeEventQueue_

    protected EDU.oswego.cs.dl.util.concurrent.BoundedBuffer nodeEventQueue_

### log_

    protected org.jboss.logging.Logger log_

Method Detail

### getMaxNodes

    public int getMaxNodes()

### setMaxNodes

    public void setMaxNodes(int maxNodes)

### getTimeToLiveSeconds

    public long getTimeToLiveSeconds()

### setTimeToLiveSeconds

    public void setTimeToLiveSeconds(long secs)

### getEvictionAlgorithm

    public EvictionAlgorithm getEvictionAlgorithm()

### getEvictionPolicy

    public EvictionPolicy getEvictionPolicy()

### getFqn

    public String getFqn()

### setAddedNode

    public void setAddedNode(Fqn fqn)

### setRemovedNode

    public void setRemovedNode(Fqn fqn)

### setVisitedNode

    public void setVisitedNode(Fqn fqn)

### putNodeEvent

    protected void putNodeEvent(Fqn fqn,
                                Integer event)

### takeLastEventNode

    public EvictedEventNode takeLastEventNode()

  Take the last node from node queue. It will also remove it from the queue.

  Returns:

### nodeEventQueueSize

    public int nodeEventQueueSize()

### resetEvictionQueues

    public void resetEvictionQueues()

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.